Public Member Functions | Private Member Functions | Private Attributes | List of all members
libcdr::CDRTransforms Class Reference

`#include <CDRTransforms.h>`

## Public Member Functions
| CDRTransforms ()
| CDRTransforms (const CDRTransforms &trafos)
| ~CDRTransforms ()
void | append (double v0, double v1, double x0, double v3, double v4, double y0)
void | append (const CDRTransform &trafo)
void | clear ()
bool | empty () const
void | applyToPoint (double &x, double &y) const
void | applyToArc (double &rx, double &ry, double &rotation, bool &sweep, double &x, double &y) const
double | getScaleX () const
double | getScaleY () const
double | getTranslateX () const
double | getTranslateY () const
bool | getFlipX () const
bool | getFlipY () const

## Private Member Functions
double | _getScaleX () const
double | _getScaleY () const

## Private Attributes
std::vector< CDRTransform > | m_trafos

## Constructor & Destructor Documentation

## ◆ CDRTransforms() [1/2]

libcdr::CDRTransforms::CDRTransforms | ( |  | ) |

## ◆ CDRTransforms() [2/2]

libcdr::CDRTransforms::CDRTransforms | ( | const CDRTransforms & | trafos | ) |

## ◆ ~CDRTransforms()

libcdr::CDRTransforms::~CDRTransforms | ( |  | ) |

## Member Function Documentation

## ◆ _getScaleX()

double libcdr::CDRTransforms::_getScaleX | ( |  | ) | const
| private

## ◆ _getScaleY()

double libcdr::CDRTransforms::_getScaleY | ( |  | ) | const
| private

## ◆ append() [1/2]

void libcdr::CDRTransforms::append | ( | const CDRTransform & | trafo | ) |

## ◆ append() [2/2]

void libcdr::CDRTransforms::append | ( | double | v0,
|  | double | v1,
|  | double | x0,
|  | double | v3,
|  | double | v4,
|  | double | y0
| ) |  |

Referenced by libcdr::CDRParser::parseWaldoStructure(), libcdr::CMXParser::readDrawImage(), libcdr::CDRParser::readFtil(), libcdr::CDRParser::readTrfd(), and libcdr::CDRParser::readWaldoTrfd().

## ◆ applyToArc()

void libcdr::CDRTransforms::applyToArc | ( | double & | rx,
|  | double & | ry,
|  | double & | rotation,
|  | bool & | sweep,
|  | double & | x,
|  | double & | y
| ) |  | const

Referenced by libcdr::CDRArcToElement::transform().

## ◆ applyToPoint()

void libcdr::CDRTransforms::applyToPoint | ( | double & | x,
|  | double & | y
| ) |  | const

Referenced by libcdr::CDRMoveToElement::transform(), libcdr::CDRLineToElement::transform(), libcdr::CDRCubicBezierToElement::transform(), libcdr::CDRQuadraticBezierToElement::transform(), and libcdr::CDRSplineToElement::transform().

## ◆ clear()

void libcdr::CDRTransforms::clear | ( |  | ) |

## ◆ empty()

bool libcdr::CDRTransforms::empty | ( |  | ) | const

Referenced by libcdr::CDRParser::readTrfd().

## ◆ getFlipX()

bool libcdr::CDRTransforms::getFlipX | ( |  | ) | const

## ◆ getFlipY()

bool libcdr::CDRTransforms::getFlipY | ( |  | ) | const

## ◆ getScaleX()

double libcdr::CDRTransforms::getScaleX | ( |  | ) | const

## ◆ getScaleY()

double libcdr::CDRTransforms::getScaleY | ( |  | ) | const

## ◆ getTranslateX()

double libcdr::CDRTransforms::getTranslateX | ( |  | ) | const

## ◆ getTranslateY()

double libcdr::CDRTransforms::getTranslateY | ( |  | ) | const

## Member Data Documentation

## ◆ m_trafos

std::vector<CDRTransform> libcdr::CDRTransforms::m_trafos
| private

The documentation for this class was generated from the following files:

- CDRTransforms.h
- CDRTransforms.cpp